// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/sea-eevee/backend/merchant/repo/repo_oms (interfaces: Contract)

// Package mock_repo_oms is a generated GoMock package.
package mock_repo_oms

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	repo_oms "gitlab.com/sea-eevee/backend/merchant/repo/repo_oms"
)

// MockContract is a mock of Contract interface.
type MockContract struct {
	ctrl     *gomock.Controller
	recorder *MockContractMockRecorder
}

// MockContractMockRecorder is the mock recorder for MockContract.
type MockContractMockRecorder struct {
	mock *MockContract
}

// NewMockContract creates a new mock instance.
func NewMockContract(ctrl *gomock.Controller) *MockContract {
	mock := &MockContract{ctrl: ctrl}
	mock.recorder = &MockContractMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockContract) EXPECT() *MockContractMockRecorder {
	return m.recorder
}

// GetMerchantItemRequest mocks base method.
func (m *MockContract) GetMerchantItemRequest(arg0 uint64) ([]*repo_oms.MerchantItemRequest, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetMerchantItemRequest", arg0)
	ret0, _ := ret[0].([]*repo_oms.MerchantItemRequest)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetMerchantItemRequest indicates an expected call of GetMerchantItemRequest.
func (mr *MockContractMockRecorder) GetMerchantItemRequest(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetMerchantItemRequest", reflect.TypeOf((*MockContract)(nil).GetMerchantItemRequest), arg0)
}

// GetMerchantTransaction mocks base method.
func (m *MockContract) GetMerchantTransaction(arg0 uint64) ([]*repo_oms.MerchantTransaction, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetMerchantTransaction", arg0)
	ret0, _ := ret[0].([]*repo_oms.MerchantTransaction)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetMerchantTransaction indicates an expected call of GetMerchantTransaction.
func (mr *MockContractMockRecorder) GetMerchantTransaction(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetMerchantTransaction", reflect.TypeOf((*MockContract)(nil).GetMerchantTransaction), arg0)
}

// GetMerchantWallet mocks base method.
func (m *MockContract) GetMerchantWallet(arg0 uint64) (*repo_oms.MerchantWallet, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetMerchantWallet", arg0)
	ret0, _ := ret[0].(*repo_oms.MerchantWallet)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetMerchantWallet indicates an expected call of GetMerchantWallet.
func (mr *MockContractMockRecorder) GetMerchantWallet(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetMerchantWallet", reflect.TypeOf((*MockContract)(nil).GetMerchantWallet), arg0)
}

// MerchantItemStockCreate mocks base method.
func (m *MockContract) MerchantItemStockCreate(arg0 repo_oms.MerchantItemStock) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "MerchantItemStockCreate", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// MerchantItemStockCreate indicates an expected call of MerchantItemStockCreate.
func (mr *MockContractMockRecorder) MerchantItemStockCreate(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "MerchantItemStockCreate", reflect.TypeOf((*MockContract)(nil).MerchantItemStockCreate), arg0)
}

// MerchantItemStockDelete mocks base method.
func (m *MockContract) MerchantItemStockDelete(arg0 uint64) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "MerchantItemStockDelete", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// MerchantItemStockDelete indicates an expected call of MerchantItemStockDelete.
func (mr *MockContractMockRecorder) MerchantItemStockDelete(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "MerchantItemStockDelete", reflect.TypeOf((*MockContract)(nil).MerchantItemStockDelete), arg0)
}

// MerchantItemStockReadMany mocks base method.
func (m *MockContract) MerchantItemStockReadMany(arg0 uint64) ([]*repo_oms.MerchantItemStock, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "MerchantItemStockReadMany", arg0)
	ret0, _ := ret[0].([]*repo_oms.MerchantItemStock)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// MerchantItemStockReadMany indicates an expected call of MerchantItemStockReadMany.
func (mr *MockContractMockRecorder) MerchantItemStockReadMany(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "MerchantItemStockReadMany", reflect.TypeOf((*MockContract)(nil).MerchantItemStockReadMany), arg0)
}

// MerchantItemStockReadOne mocks base method.
func (m *MockContract) MerchantItemStockReadOne(arg0 uint64) (*repo_oms.MerchantItemStock, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "MerchantItemStockReadOne", arg0)
	ret0, _ := ret[0].(*repo_oms.MerchantItemStock)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// MerchantItemStockReadOne indicates an expected call of MerchantItemStockReadOne.
func (mr *MockContractMockRecorder) MerchantItemStockReadOne(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "MerchantItemStockReadOne", reflect.TypeOf((*MockContract)(nil).MerchantItemStockReadOne), arg0)
}

// MerchantItemStockUpdate mocks base method.
func (m *MockContract) MerchantItemStockUpdate(arg0, arg1 uint64, arg2 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "MerchantItemStockUpdate", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// MerchantItemStockUpdate indicates an expected call of MerchantItemStockUpdate.
func (mr *MockContractMockRecorder) MerchantItemStockUpdate(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "MerchantItemStockUpdate", reflect.TypeOf((*MockContract)(nil).MerchantItemStockUpdate), arg0, arg1, arg2)
}
